List All Apps

Responses
  • application/json
Request Example for get/app/list
curl https://ai.hatz.ai/v1/app/list \
  --header 'X-API-Key: YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "name": "string",
      "description": "string",
      "default_model": "gpt-4o",
      "files": [
        {
          "size": 1,
          "module": "string",
          "file_id": "",
          "type_id": "",
          "file_key": "string",
          "file_type": "string",
          "object_id": "string",
          "description": "string",
          "display_name": "string",
          "variable_name": "string",
          "variable_type": "string"
        }
      ],
      "constants": [],
      "user_inputs": [
        {
          "position": 1,
          "required": true,
          "object_id": "string",
          "description": "string",
          "display_name": "string",
          "variable_name": "string",
          "variable_type": "string"
        }
      ],
      "prompt_sections": [
        {
          "body": "string",
          "position": 1
        }
      ]
    }
  ]
}